﻿using decePubClient.Models;

namespace decePubClient.Helpers;

public static class Faker
{
	static IReadOnlyList<MessageUser> Users => new List<MessageUser>
	{
		new(),
		new()
		{
			UserId = "7b5703dc-aee8-46b1-aed2-cd06021a1c0c",
			DisplayName = "loweel",
			UserName = "@loweel@bbs.keinpfusch.net",
			PictureUrl = "https://bbs.keinpfusch.net/media/4729611f9aaef76399600ba2f117e5da609e5bf46dd7d502dae3e7b9fdc5cc78.WBMX2L9V1D00",
			BackgroundUrl = "https://bbs.keinpfusch.net/media/6e283b943ca297629cb35b7fdfc790907dfd24b6303518e10992b2b5a6658947.3EUB6O4OMR2X",
			ProfileUrl = "https://letsrulethe.world/users/AG6rE2nRya826QEJFY"
		},
		new()
		{
			UserId = "bc9c2a2b-fc5f-42fc-b907-ac30203eed45",
			DisplayName = "Valentina Nappi",
			UserName = "@valentina.nappi@mastodon.uno",
			PictureUrl = "https://cdn.masto.host/mastodonuno/cache/accounts/avatars/106/816/797/491/758/442/original/2b2995b82af966fb.jpg",
			BackgroundUrl = "https://cdn.masto.host/mastodonuno/cache/accounts/headers/106/816/797/491/758/442/original/898aedf6cd3a2da3.jpeg",
			ProfileUrl = "https://mastodon.uno/web/@valenappi@beta.birdsite.live"
		}
	};

	public static MessageUser GetRandomUser()
	{
		return Users[Random.Shared.Next(0, Users.Count)];
	}

	public static BoostingUser GetRandomBoostingUser()
	{
		var user = Users[Random.Shared.Next(0, Users.Count)];
		return new()
		{
			UserId = user.UserId,
			DisplayName = user.DisplayName,
			UserName = user.UserName,
			PictureUrl = user.PictureUrl,
			ProfileUrl = user.ProfileUrl
		};
	}
}